%define module_name XML-Hash-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libicu-devel libsowing-devel perl(Config.pm) perl(Data/Dumper.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(LWP/Simple.pm) perl(Test/More.pm) perl(XML/Hash.pm) perl(XML/Hash/LX.pm) perl(XML/LibXML.pm) perl(XML/Simple.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.64
Release: alt1
Summary: Simple and fast hash to XML conversion
Group: Development/Perl
License: perl
URL: https://github.com/yoreek/XML-Hash-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YO/YOREEK/%{module_name}-%{version}.tar.gz

%description
This module implements simple hash to XML converter written in C using libxml2 library.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.64-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.56-alt5
- rebuild with perl 5.38

* Thu Oct 19 2023 Cronbuild Service <cronbuild@altlinux.org> 0.56-alt4
- rebuild to get rid of unmets

* Mon Jul 04 2022 Cronbuild Service <cronbuild@altlinux.org> 0.56-alt3
- rebuild to get rid of unmets

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.56-alt2
- rebuild with perl 5.34.0

* Tue Feb 16 2021 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.55-alt2
- rebuild with perl 5.30

* Sat Mar 07 2020 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- updated by package builder

* Fri Jan 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1
- updated by package builder

* Sun Apr 14 2019 Cronbuild Service <cronbuild@altlinux.org> 0.53-alt2
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.53-alt1.1
- rebuild with perl 5.28.1

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.52-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.51-alt2
- rebuild with perl 5.26

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1
- regenerated from template by package builder

* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1
- regenerated from template by package builder

* Thu Mar 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.48-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.47-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt2
- rebuild to get rid of unmets

* Fri Jun 10 2016 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1.1
- rebuild with perl 5.22

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1
- regenerated from template by package builder

* Fri Apr 17 2015 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.26-alt2
- rebuild to get rid of unmets

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1
- regenerated from template by package builder

* Wed Jan 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- initial import by package builder

